# 	Copyright (c) 2008 ALT Linux, Peter V. Saveliev
#
# 	This file is part of Connexion project.
#
# 	Connexion is free software; you can redistribute it and/or modify
# 	it under the terms of the GNU General Public License as published by
# 	the Free Software Foundation; either version 3 of the License, or
# 	(at your option) any later version.
#
# 	Connexion is distributed in the hope that it will be useful,
# 	but WITHOUT ANY WARRANTY; without even the implied warranty of
# 	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# 	GNU General Public License for more details.
#
# 	You should have received a copy of the GNU General Public License
# 	along with Connexion; if not, write to the Free Software
# 	Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

no_import = True

from command import command, swrapper
from cxutil import flags
from cxutil.exceptions import Dump

class status (command):
	'''
	Show interfaces status
	'''
	
	mask = flags.Immediate
	
	def postUp(self,argv):

		result = swrapper()
		# raise Dump
		try:
			result.add_command("exec", "ethtool %s" % (argv.condition.interface))
		except:
			result.add_command("system", "/sbin/ip -o link | awk '{print(\"\\n\"); system(\"ethtool \"gensub(/:/,\"\",\"g\",$2))}'")
		return result
